//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "GLForm.h"
#include <ExtCtrls.hpp>

const int TEKSTURY_ILOSC=3;

//---------------------------------------------------------------------------
class TForm1 : public TGLForm
{
__published:	// IDE-managed Components
    TListBox *ListBox1;
   void __fastcall FormKeyDown(TObject *Sender, WORD &Key,TShiftState Shift);
   void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
   void __fastcall Pomoc();
   void __fastcall RysujScene();
   void __fastcall RysujSzescian(float krawedz) const;
   void __fastcall Oswietlenie();
   void __fastcall MlecznaZarowka();
   void __fastcall ZoltaIZielonaMleczneZarowki();
   void __fastcall Reflektor();
   GLuint Tekstury[TEKSTURY_ILOSC];
   GLuint czcionkaTimes3D;
   void __fastcall Shader();
public:		// User declarations
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------

#endif
